#ifndef Edushield_h
#define Edushield_h
#include "Arduino.h"
#include <SoftwareSerial.h>

class Edushield
{

  
  public:
    Edushield();
    
    void RGBsetColor(char input[]);   //nastavuje barvu podle vstupnho kodu
    void RGBsetToRed();               //rozsvtcuje RGB diodu erven
    void RGBsetToBlue();              //rozsvtcuje RGB diodu Mode
    void RGBsetToGreen();             //rozsvtcuje RGB diodu Zelen
    void RGBsetToYellow();            //rozsvtcuje RGB diodu lut
    void RGBsetToNone();              //Zhasne RGB diodu
    void RGBsetToWhite();             //rozsvtcuje RGB diodu ble
    void RGBsetToMagenta();           //rozsvtcuje RGB diodu barvou Magenta
    void RGBsetToCyan();              //rozsvtcuje RGB diodu barvou cyan

    void  ledRed_ON();                //Rozsvt ervenou diodu
    void  ledGreen_ON();              //ROZSVT ZELENOU diodu
    void  ledYellow_ON();             //Rozsvt lutou diodu
    void  ledRed_OFF();               //Zhasne ervenou diodu
    void  ledGreen_OFF();             //Zhasne zelenou diodu
    void  ledYellow_OFF();            //Zhasne lutou diodu
    void  ledAll_ON();                //Rozsvt vechny ti jednobarevn diody
    void  ledAll_OFF();              //Zhasne vechny ti jednobarevn diody

    int buttonPress();              //funkce kter vrac hodnoty podle dlky stistnut tlatka
    
  private:
    //piny pro RGB ledku
    int RGBPin_Red;
    int RGBPin_Blue;
    int RGBPin_Green;

    //piny pro jednobarevn ledky
    int ledRed;
    int ledGreen;
    int ledYellow;

    //pin pro tlatko
    int button;
};
#endif
